/*
 * $Id: irq_trampoline.c,v 1.1 2007/11/08 22:21:47 init Exp $
 */

/*
 * IRQ trampoline.
 * Will enter here when Core IRQ line is asserted.
 * IRQ controller driver configures us to call him on assert;
 * by default (until some irqc attached) we just return doing nothing.
 */

void irq_trampoline(void);
void __do_nothing_and_return(void);


void
__do_nothing_and_return(void)
{

	__asm __volatile("mov r1,r1");
}

void 	(*irq_trampoline_func)(void) = __do_nothing_and_return;


void
irq_trampoline(void)
{
	irq_trampoline_func();
}


